#include <QtQuick/QQuickItem>
#include "KeyNavAttached.h"

KeyNavAttached::KeyNavAttached(QObject *parent) :
    QObject(parent)
{
}

KeyNavAttached::~KeyNavAttached()
{
}

QQuickItem *KeyNavAttached::backtabUp() const
{
    return m_backtabUp;
}

void KeyNavAttached::setBacktabUp(QQuickItem *item)
{
    m_backtabUp = item;
    emit backtabUpChanged();
}

QQuickItem *KeyNavAttached::tabUp() const
{
    return m_tabUp;
}

void KeyNavAttached::setTabUp(QQuickItem *item)
{
    m_tabUp = item;
    emit tabUpChanged();
}

QQuickItem *KeyNavAttached::backtabDown() const
{
    return m_backtabDown;
}

void KeyNavAttached::setBacktabDown(QQuickItem *item)
{
    m_backtabDown = item;
    emit backtabDownChanged();
}

QQuickItem *KeyNavAttached::tabDown() const
{
    return m_tabDown;
}

void KeyNavAttached::setTabDown(QQuickItem *item)
{
    m_tabDown = item;
    emit tabDownChanged();
}

