import QtQuick 2.0
import com.embeddeduse.keynav 1.0

Cursor {
    id: root

    KeyNav.backtabUp: root
    KeyNav.tabUp: root

    property Item delegateRoot: null

    function doBacktab() {
        if (index > 0) {
            delegateRoot.ListView.view.decrementCurrentIndex()
        }
        else {
            delegateRoot.ListView.view.KeyNav.backtabUp.doBacktab()
        }
    }

    function doTab() {
        if (index < delegateRoot.ListView.view.count - 1) {
            delegateRoot.ListView.view.incrementCurrentIndex()
        }
        else {
            delegateRoot.ListView.view.KeyNav.tabUp.doTab()
        }
    }

    function doMousePress() {
        delegateRoot.ListView.view.currentIndex = index
        delegateRoot.ListView.view.forceActiveFocus()
    }
}
