import QtQuick 2.1
import com.embeddeduse.keynav 1.0

FocusScope
{
    width: childrenRect.width
    height: childrenRect.height

    Component.onCompleted: forceActiveFocus()

    Column
    {
        FlagRow {
            id: row0
            flags: [ "flagSpain.png", "flagFrance.png", "flagItaly.png" ]
            KeyNav.backtabUp: row1.KeyNav.backtabDown
            KeyNav.tabUp: row1.KeyNav.tabDown
            focus: true
        }

        CityView {
            id: row1

            KeyNav.backtabUp: row0.KeyNav.backtabDown
            KeyNav.tabUp: row0.KeyNav.tabDown

            width: row0.width
            height: 400
        }
    }
}
