import QtQuick 2.0
import com.embeddeduse.keynav 1.0

ListView
{
    id: root

    KeyNav.backtabDown: root
    KeyNav.tabDown: root

    clip: true
    boundsBehavior: Flickable.StopAtBounds

    function doBacktab()
    {
        root.positionViewAtIndex(root.count - 1, ListView.End)
        root.currentIndex = root.count - 1
        root.forceActiveFocus()
    }

    function doTab()
    {
        root.positionViewAtIndex(0, ListView.Beginning)
        root.currentIndex = 0
        root.forceActiveFocus()
    }
}
