import QtQuick 2.0

BaseListView {
    id: root

    model: 20

    delegate: FocusScope {
        id: delegateRoot
        width: ListView.view.width
        height: 40

        Rectangle {
            anchors.fill: parent
            color: index % 2 === 0 ? "#1E90FF" : "#00BFFF"

            Text {
                anchors.fill: parent
                text: "Biggest City #" + index
                color: "#FFFACD"
                font.pixelSize: 24
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
            }
        }

        ListViewItemCursor {
            anchors.fill: parent
            delegateRoot: parent
            focus: true
        }
    }

}
