import QtQuick 2.0
import com.embeddeduse.keynav 1.0

FocusScope
{
    id: root

    property variant flags: []

    KeyNav.backtabDown: flag2.KeyNav.backtabDown
    KeyNav.tabDown: flag0.KeyNav.tabDown

    width: childrenRect.width
    height: childrenRect.height

    Row {
        id: flagRow

        FlagButton {
            id: flag0
            source: flags[0]
            KeyNav.backtabUp: root.KeyNav.backtabUp
            KeyNav.tabUp: flag1.KeyNav.tabDown
            focus: true
        }

        FlagButton {
            id: flag1
            source: flags[1]
            KeyNav.backtabUp: flag0.KeyNav.backtabDown
            KeyNav.tabUp: flag2.KeyNav.tabDown
        }

        FlagButton {
            id: flag2
            source: flags[2]
            KeyNav.backtabUp: flag1.KeyNav.backtabDown
            KeyNav.tabUp: root.KeyNav.tabUp
        }
    }
}
